org.eclipse.wst.jsdt.debug.core.jsdi

## Interface StringValue

All Superinterfaces:
  Mirror, Value

    public interface StringValue
    extends Value

Abstract representation of a String literal with-respect-to JavaScript debugging

Since:
  1.0
See Also:
  `Value`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `value()` Returns the underlying value of the string.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Value

`valueString`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### value

    java.lang.String value()

Returns the underlying value of the string.
This method can return `null`

Returns:
  the value of the string or `null`